summaryrefslogtreecommitdiff
path: root/src/templating/run-original-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/templating/run-original-tests.sh')
-rwxr-xr-xsrc/templating/run-original-tests.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/src/templating/run-original-tests.sh b/src/templating/run-original-tests.sh
index 9c7d34cdd..21481a286 100755
--- a/src/templating/run-original-tests.sh
+++ b/src/templating/run-original-tests.sh
@@ -1,10 +1,19 @@
#!/bin/bash
-set -eu
+# This file is in the public domain.
+set -eux
+
+export CFLAGS="-g"
+
+echo "Ensuring clean state on entry to upstream tests ..."
+make clean
+
# The build fails if libjson-c-dev is not installed.
# That's OK, we don't otherwise need it and don't
# even bother testing for it in configure.ac.
# However, in that case, skip the test suite.
+make -f mustach-original-Makefile mustach mustach-json-c.o || exit 77
+make -f mustach-original-Makefile clean || true
+make -f mustach-original-Makefile basic-tests
+make -f mustach-original-Makefile clean || true
-make -f Makefile.orig mustach || exit 77
-make -f Makefile.orig test
-make -f Makefile.orig clean || true
+exit 0